import { GeoJsonObject } from "geojson";
import L from "leaflet";
import * as React from "react";
interface Metadata {
    url_template: string;
    layer_options: object;
}
interface Props {
    data?: GeoJsonObject;
    metadata?: Metadata;
    mediaType: "application/geo+json";
    theme?: string;
}
declare type TileTheme = "dark" | "light";
interface TileLayer {
    urlTemplate: string;
    layerOptions: object;
}
export declare function getLuma(el: HTMLElement): number;
export declare function getTheme(theme: string | undefined, el: HTMLElement): TileTheme;
export declare class GeoJSONTransform extends React.Component<Props> {
    static defaultProps: {
        theme: string;
        mediaType: string;
    };
    static MIMETYPE: string;
    MIMETYPE: string;
    map: L.Map;
    el: HTMLDivElement | null;
    geoJSONLayer: L.GeoJSON;
    tileLayer: L.TileLayer;
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: Props): boolean;
    componentDidUpdate(prevProps: Props): void;
    getTileLayer: () => TileLayer | undefined;
    render(): React.ReactElement<any>;
}
export default GeoJSONTransform;
